## cheetah 3.3.1

=== devscripts/requirements/requirements.txt ===
--install-option=-O2

## cheetah 2.4.2.1

=== debian/changelog ===
cheetah (2.4.2.1-1) unstable; urgency=low

  * New upstream release.
    + Add python-memcache to Suggests in debian/control as the old bundled
      memcached module has been dropped.
    + Add debian/patches/fix_ftbfs_c_extension_python25.patch to allow
      building the C extension on Python <= 2.5.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 30 Mar 2010 22:59:59 +0100

cheetah (2.4.1-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release. Closes: #568787.
    + Drop all patches as they have already been applied.
    + Update download URL in debian/watch and debian/copyright.
    + Add R. Tyler Ballance as copyright holder in debian/copyright as he
      is now the upstream author.
    + Add python-pygments to Suggests in debian/control.
  * debian/control:
    + Update Standards-Version to 3.8.4. No changes needed.
    + Drop useless Replaces and Conflicts.
    + Add ${misc:Depends} to Depends in case the result of calls debhelper
      tools adds extra dependencies.
    + Remove useless debian/pycompat and bump python-support minimum
      version to 0.9.0.
  * debian/copyright:
    + Update copyright years.

  [ Sandro Tosi ]
  * debian/control:
    - Switch Vcs-Browser field to viewsvn.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 10 Feb 2010 02:27:47 +0000

cheetah (2.0.1-2) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Change Section field from text to python (python extension).
    + Build-Depends on at least python-setuptools 0.6b3 instead of
      0.6b3-1 in order to facilitate backporting.

  [ Sandro Tosi ]
  * debian/control
    + Uniforming Vcs-Browser field.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 23 Feb 2008 12:40:22 +0000

cheetah (2.0.1-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release. Closes: #451766.
    + Update debian/patches/02_clean_modules.patch.
  * debian/NEWS:
    + Fix lintian warning on the first changelog entry.
  * debian/watch:
    + Fix uversionmangle regex for stable versions.
  * debian/copyright:
    + Add package license.
  
  [ Piotr Ożarowski ]
  * debian/control:
    + Add Homepage field.
    + Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now).

 -- Arnaud Fontaine <arnaud@andesi.org>  Sun, 18 Nov 2007 14:59:06 +0000

cheetah (2.0~rc8-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
  * Add debian/watch file.
  * debian/copyright:
    + Update years and maintainer.
  * debian/control*:
    + Add Homepage field.
    + Add XS-Vcs-Browser field.
    + Build-Depends on python-support >= 0.6.4.
    + Add DPMT as uploaders.
  * debian/rules:
    + Remove egg stuff.

  [ Piotr Ozarowski ]
  * debian/control:
    + Add XS-Vcs-Svn field.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 11 Jul 2007 14:45:50 +0200

cheetah (2.0~rc7-1) unstable; urgency=low

  * New upstream release.
  * Remove the interpreter line from all modules.
  * New maintainer. Closes: #376189.
  * Acknowledge NMU. Closes: #373265, #366759.
  * Add debian/control.in and regenerates debian/control.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 26 Jul 2006 22:03:15 +0200

cheetah (1.0-1.1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Non-maintainer upload.
  * Update Standards-Version to 3.7.2. No changes needed.
  * Remove cheetah-common package.
  * Add egg support.  Thanks to Piotr Ozarowski
    <ozarow@gmail.com>. Closes: #366759.
  * Remove alternatives which are no more needed since pythonX.Y-cheetah
    are folded into python-cheetah.
    + Remove pythonX.Y-cheetah.postinst.in and pythonX.Y-cheetah.prerm.in
      in debian/.
    + Remove *.links files in favor of debian/links.
    + Remove *.manpages files in favor of debian/manpages.
    + Clean debian/rules.
  * New Python policy changes. Closes: #373265.
    + Update debian/cheetah.1 and debian/README.Debian:
    + Add debian/pyversions and debian/pycompat.
    + debian/compat:
      - Update debhelper compatibility to 5.
    + debian/rules:
      - Add DEB_PYTHON_SYSTEM=pysupport.
    + debian/control:
      - Update Build-Depends.
      - Add XB-Python-Version for binary package.
      - Add Conflicts and Replaces fields against previous revisions.

  [ Raphael Hertzog ]
  * Sponsoring upload.
  * Improvements in the rules file. Rename egg-info directory soon enough so
    that dh_pysupport can decide to share it.
  * Updated README.Debian.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 30 Jun 2006 19:11:25 +0200

cheetah (1.0-1) unstable; urgency=low

  * New upstream version.  Closes: #344977
  * debian/NEWS, debian/README.Debian: Updated to reflect new info.
  * debian/control, debian/rules: Dropped build support for python2.2-cheetah
    package. Closes: #351120

 -- Chad Walstrom <chewie@debian.org>  Fri,  3 Feb 2006 13:50:19 -0600

cheetah (0.9.16-1) unstable; urgency=high

  * debian/rules, debian/patches: Added simple-patchsys so we can
    apply security patches.
  * debian/patches/309648-tmpfix.patch: Kenshi Muto grabbed this one
    from the cheetahtemplate CVS.  Upstream rewrote how imports were
    handled, removing the need to use temp files and eliminating this
    security breech.  Closes: #309648
  * debian/control: Added version dependency for cdbs, required to support
    Python 2.4.

 -- Chad Walstrom <chewie@debian.org>  Sat, 21 May 2005 12:40:10 -0500

cheetah (0.9.16-0) unstable; urgency=low

  * New upstream.  Closes: #295957
  * debian/cheetah.1: Dedicated the manpage to the Public Domain.
  * debian/NEWS: Noted code incompatibility between 0.9.15 and 0.9.16.
  * debian/pythonX.Y-cheetah.*: Replaced maintainer scripts with sed templates
  * debian/control, debian/rules: Added python2.4-cheetah package.
    Dropped python2.1-cheetah package.

 -- Chad Walstrom <chewie@debian.org>  Tue,  5 Apr 2005 17:03:44 -0500

cheetah (0.9.15-5) unstable; urgency=low



=== debian/control ===
Source: cheetah
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
	       cdbs (>= 0.4.43),
	       python-all-dev (>= 2.3.5-11),
	       python-support (>= 0.90),
	       python-setuptools (>= 0.6b3),
	       python-markdown (>= 2.0.1)
Standards-Version: 3.8.4
Homepage: http://www.cheetahtemplate.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/cheetah/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/cheetah/trunk/

Package: python-cheetah
Architecture: any
Depends: ${python:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Suggests: python-markdown (>= 2.0.1), python-pygments, python-memcache
Description: text-based template engine and Python code generator
 Cheetah can be used as a standalone templating utility or referenced as a
 library from other Python applications. It has many potential uses, but web
 developers looking for a viable alternative to ASP, JSP, PHP and PSP are
 expected to be its principle user group.
 .
 Features:
  * Generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
    text-based format.
  * Cleanly separates content, graphic design, and program code.
  * Blends the power and flexibility of Python with a simple template language
    that non-programmers can understand.
  * Gives template writers full access to any Python data structure, module,
    function, object, or method in their templates.
  * Makes code reuse easy by providing an object-orientated interface to
    templates that is accessible from Python code or other Cheetah templates.
    One template can subclass another and selectively reimplement sections of
    it.
  * Provides a simple, yet powerful, caching mechanism that can dramatically
    improve the performance of a dynamic website.
  * Compiles templates into optimized, yet readable, Python code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Prepare support  for python 3.x  (need to add  Build-Depends against
# python3-all-dev in debian/control).
# cdbs_python_supported_versions += $(shell dpkg-query -W -f='$${Depends}' python3-all-dev | sed 's/.*python\(3\.[0-9]\)-dev.*/\1/')

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

install/$(DEB_PYTHON_MODULE_PACKAGES)::
	sed -i 's#\#!/usr/bin/python[0-9].[0-9]#\#!/usr/bin/python#' \
		$(cdbs_python_destdir)usr/bin/*

## cheetah 2.4.3

=== debian/changelog ===
cheetah (2.4.3-0ubuntu3) natty; urgency=low

  * debian/control:
    - Drop Build-Depends on python-markup, as it's in universe and only
      used -- if available -- for tests

 -- Michael Terry <mterry@ubuntu.com>  Fri, 03 Dec 2010 08:43:41 -0500

cheetah (2.4.3-0ubuntu2) natty; urgency=low

  [ Clint Byrum ]
  * Merge from debian unstable.  (LP: #680946) Remaining changes:
    - debian/rules: Add PATH=$(CURDIR)/build/scripts-$buildver:$PATH 
      and PYTHONPATH=$(CURDIR)/build/lib.*-$buildver when running 
      testsuite.
    - debian/rules: Run testsuite cheetah/Tests/Test.py during build 
      - src/Tests/Test.py was renamed to cheetah/Tests/Test.py upstream
    - debian/control: Rename Vcs-* to XS-Debian-Vcs-*.
  * Dropped changes:
     - debian/patches/python-2.6-warning-fix.patch: Fix deprecation 
       warning when using python 2.6 -- Applied upstream
     - debian/control: Add ${misc:Depends}. -- in debian package now
     - Run testsuite but don't fail the build right now -- All tests 
       pass now, and testsuite always returns 0 anyway
     - debian/rules: Ignore failures of individual runs rather than of
       the for loop; allows testing all python versions when the 
       testsuite fails. -- tests seem to always return 0
  * Re-adding changelog entries dropped in 2.4.3-0ubuntu1
  * Removing test.strace which is not in 2.4.3 upstream source

  [ Michael Terry ]
  * debian/control.in, debian/patches/01_eggify.patch,
    debian/pycompat:
    - Dropped, as they were dropped in Debian
  * debian/copyright, debian/watch:
    - Update to what's in Debian
  * debian/control:
    - Drop python:Provides and python:Versions as Debian did

 -- Michael Terry <mterry@ubuntu.com>  Wed, 24 Nov 2010 12:47:40 -0500

cheetah (2.4.3-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Update debian/rules for new test path
    - Add debian/patches/02_fedora_cheetah_2.7_compat.patch from Fedora to
      fix Python 2.7 compatibility
    - Drop debian/patches/02_clean_modules.patch and
      03_ptyhon-2.6-warning-fix.patch 

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 19 Oct 2010 15:11:11 -0400

cheetah (2.0.1-2ubuntu7) lucid; urgency=low

  * Rebuild dropping the extension for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2010 22:04:53 +0000

cheetah (2.0.1-2ubuntu6) karmic; urgency=low

  * Add PATH=$(CURDIR)/build/scripts-$buildver:$PATH and
    PYTHONPATH=$(CURDIR)/build/lib.*-$buildver when running testsuite.
  * Ignore failures of individual runs rather than of the for loop; allows
    testing all python versions when the testsuite fails.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 27 Sep 2009 13:31:05 +0200

cheetah (2.0.1-2ubuntu5) karmic; urgency=low

  * Run testsuite src/Tests/Test.py during build but don't fail the build
    right now as it's failing 30 tests out of 2066.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 25 Sep 2009 00:33:38 +0200

cheetah (2.0.1-2ubuntu4) karmic; urgency=low

  * Rename Vcs-* to XS-Debian-Vcs-*.
  * Add ${misc:Depends}.
  * Fix typos notably in patch name in previous changelog entry.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 24 Sep 2009 21:11:22 +0200

cheetah (2.0.1-2ubuntu3) jaunty; urgency=low

  * debian/patches/python-2.6-warning-fix.patch: Fix deprecation warning
    when using python 2.6

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Mar 2009 10:31:22 -0400

cheetah (2.0.1-2ubuntu2) jaunty; urgency=low

  * Fix spelling of Original in the control file. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 29 Mar 2009 21:45:47 +1100

cheetah (2.0.1-2ubuntu1) jaunty; urgency=low

  * Rebuild for python2.6 transition. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 01 Mar 2009 18:26:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cheetah
 Section: python
 Priority: optional
-Maintainer: Arnaud Fontaine <arnau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arnaud Fontaine <arnau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.37.2),
 	       cdbs (>= 0.4.43),
 	       python-all-dev (>= 2.3.5-11),
 	       python-support (>= 0.90),
-	       python-setuptools (>= 0.6b3),
-	       python-markdown (>= 2.0.1)
+	       python-setuptools (>= 0.6b3)
 Standards-Version: 3.8.4
 Homepage: http://www.cheetahtemplate.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/cheetah/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/cheetah/trunk/
+Xs-Debian-Vcs-Svn: svn://svn.debian.org/python-modules/packages/cheetah/trunk/
+Xs-Debian-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/cheetah/trunk/
 
 Package: python-cheetah
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,22 @@
 # python3-all-dev in debian/control).
 # cdbs_python_supported_versions += $(shell dpkg-query -W -f='$${Depends}' python3-all-dev | sed 's/.*python\(3\.[0-9]\)-dev.*/\1/')
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+common-post-build-arch common-post-build-indep:: debian/check-stamp
+debian/check-stamp:
+	for buildver in $(cdbs_python_build_versions); do \
+	    echo Running testsuite for python$$buildver; \
+	    PATH=$(CURDIR)/build/scripts-$$buildver:$$PATH \
+	        PYTHONPATH=$(CURDIR)/`ls -d build/lib.*-$$buildver` \
+	        python$$buildver \
+	            cheetah/Tests/Test.py || true; \
+	done
+	>$@
+
+clean::
+	rm -f debian/check-stamp
+endif
+
 # Install egg-info directories
 DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

## cheetah 2.4.4

=== debian/changelog ===
cheetah (2.4.4-3.fakesyncbuild1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:26 +0000

cheetah (2.4.4-3.fakesync) saucy; urgency=low

  * debian/control: Add python-markdown back now that python-markdown has
    been promoted to main.  Removes Ubuntu delta. (LP: #1183634)

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 23 Jul 2013 10:34:24 +0200

cheetah (2.4.4-3ubuntu1) quantal; urgency=low

  * debian/control: Remove Build Depends on python-markdown, as it's currently
    in universe and the package is functional without it.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 17 May 2012 13:27:40 +0100

cheetah (2.4.4-3) unstable; urgency=low

  * Switch to dh_python2.
    + debian/control:
      - Remove Build-Depends on python-support.
      - Add X-Python-Version field.
      - Bump cdbs Build-Depends to 0.4.90~.
    + Add debian/pydist-overrides to avoid adding markdown as Depends as
      it is used only for tests.
    + Remove debian/pyversions.
  * Add debian/source/options to ignore changes in egg-info/* to prevent
    FTBFS if built twice. Closes: #671311.
  * debian/copyright: update to version 1.0 of machine-readable format.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 14 May 2012 10:51:26 +0900

cheetah (2.4.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 14 Apr 2011 00:46:00 +0900

cheetah (2.4.4-1) experimental; urgency=low

  * New upstream release.
    + Cheetah now officially supports python 2.7. Closes: #605422.
      - Require python-support >= 1.0.12 as Build-Depends.
      - Require python-all-dev >= 2.6.6-9 as Build-Depends.
      - Require python-setuptools >= 0.6.14-5 as Build-Depends.
  * debian/control:
    + Bump Standards-Version to 3.9.1. No changes needed.
  * Add debian/patches/fix_compile_with_utf8_attribute.patch:
    + UnicodeEncodeError exception raised when an attribute is an UTF-8
      string. Thanks to Carles Muñoz Gorriz. Closes: #584966.
  * debian/rules:
    + Run test suites for all Python versions during the build.
      Closes: #606517.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 25 Dec 2010 14:14:19 +0900

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 XSBC-Original-Maintainer: Arnaud Fontaine <arnau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.37.2),
-	       cdbs (>= 0.4.43),
-	       python-all-dev (>= 2.3.5-11),
-	       python-support (>= 0.90),
-	       python-setuptools (>= 0.6b3)
-Standards-Version: 3.8.4
+	       cdbs (>= 0.4.90~),
+	       python-all-dev (>= 2.6.6-9),
+	       python-setuptools (>= 0.6.14-5),
+	       python-markdown (>= 2.0.1)
+X-Python-Version: >= 2.3
+Standards-Version: 3.9.3
 Homepage: http://www.cheetahtemplate.org/
-Xs-Debian-Vcs-Svn: svn://svn.debian.org/python-modules/packages/cheetah/trunk/
-Xs-Debian-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/cheetah/trunk/
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/cheetah/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/cheetah/trunk/
 
 Package: python-cheetah
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Prepare support for python 3.x (need to add Build-Depends against
# python3-all-dev in debian/control), pending upstream release with
# python3 support
# cdbs_python_supported_versions += $(shell py3versions -vr)

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed
DEB_PYTHON_BUILDDIR := $(CURDIR)/$(DEB_BUILDDIR)/build

binary-post-install/python-cheetah::
	sed -i 's#\#!/usr/bin/python[0-9].[0-9]#\#!/usr/bin/python#' \
		$(cdbs_python_destdir)usr/bin/*

	# Run the tests with all the versions of Python, but do not
	# fail if the tests fail, just display an error message
	#
	# Any better way to run the tests as this is very ugly?
	for buildver in $(cdbs_python_build_versions); do \
		echo "Running tests with python$$buildver..." && \
		cd $(DEB_SRCDIR) && \
		PATH=$(DEB_PYTHON_BUILDDIR)/scripts-$${buildver}:$$PATH \
		PYTHONPATH=$$(echo $(DEB_PYTHON_BUILDDIR)/lib.linux-*-$$buildver) \
		$(call cdbs_python_binary,python$$buildver) $(DEB_SRCDIR)/cheetah/Tests/Test.py || \
		echo "FAILED with python$$buildver"; \
	done

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/C/Cheetah/Cheetah-(.*)\.tar\.gz

## cheetah 3.1.0

=== debian/changelog ===
cheetah (3.1.0-3) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * Control:
    + remove 'Testsuite: autopkgtest-pkg-python', replace with simple
      test in debian/tests/control that correctly handles the uppercase
      module name.
    + add build-deps on python(3)-markdown and python(3)-pygments to
      support running tests at build time.
    + mark python-cheetah-doc multi-arch: foreign.
    + use correct documentation package name in Suggests.
  * d/tests: add autopkgtests for loading the module and running upstream
      Test.py against all supported Python versions. (LP: #1677772)
  * Rules: override dh_auto_test to use custom upstream tests system.
  * Watch: switch to git mode, add cryptographic verification of
    upstream signed tags.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 29 Oct 2018 15:50:53 +0000

cheetah (3.1.0-2) unstable; urgency=medium

  * Control: move python3-sphinx from Build-Depends-Indep to Build-
    Depends, because the former doesn't have to be satisfied when
    invoking the 'clean' target (policy §7.7).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 02 Jun 2018 16:28:31 +0000

cheetah (3.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ JCF Ploemen (jcfp) ]
  * New upstream release:
    + supports newer Python releases. (LP: #599308)
  * New maintainer. (Closes: #895786)
  * Watch: point to upstream github.
  * Patches: remove all, obsolete.
  * Compat: bump level to 11 (from 10).
  * Control:
    + sort/reorder (build-)deps.
    + remove build-deps on cdbs, python-markdown: no longer needed.
    + remove obsolete versioning of remaining build-deps.
    + add python3-cheetah (Closes: #873488), python-cheetah-doc packages.
      (Closes: #335503)
    + add build-deps on python3-all-dev, python3-setuptools (Python 3
      support), python3-sphinx (docs).
    + add Testsuite: autopkgtest-pkg-python.
    + bump Standards-Version to 4.1.4 (from 3.9.8).
    + bump X-Python-Version to 2.7+ and set X-Python3-Version to 3.3+, as
      supported by upstream.
  * Rules:
    + switch from cdbs to dh sequencer.
    + enable all hardening.
  * d/pydist-overrides: remove, obsolete.
  * d/README.Debian: remove, obsolete.
  * Lintian: override application-in-library-section and library-package-
    name-for-application for python(3)-cheetah, the package is primarily
    a library.
  * Copyright: update upstream info, add myself for the packaging.
  * Add d/cheetah3.1 as a symlink to existing d/cheetah.1.
  * Move d/NEWS to d/python-cheetah.NEWS.
  * d/python-cheetah.NEWS: add entry about required recompilation of
    templates.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 14 May 2018 15:26:44 +0000

cheetah (2.4.4-4) unstable; urgency=low

  [ Arnaud Fontaine ]
  * d/rules:
    + Add --install-layout=deb to python install command to
      install files in the proper directory, as per dh_python2 warning.
    + Fix FTBFS due to change in CDBS 0.4.144 (cdbs_python_binary).
      Closes: #837009.
  * d/control:
    + Add dh-python to Build-Depends (dh_python2 warning).
    + Bump debhelper compat level to 10 (5 is deprecated).
    + Bump Standards-Version to 3.9.8. No change needed.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix a typo in README.Debian.

  [ Ondřej Nový ]
  * Fixed VCS URL (https).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 18 Nov 2016 12:36:43 +0900

=== debian/control ===
Source: cheetah
Section: python
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python-all-dev,
 python-markdown,
 python-pygments,
 python-setuptools,
 python3-all-dev,
 python3-markdown,
 python3-pygments,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.1.4
Homepage: http://www.cheetahtemplate.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/cheetah.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/cheetah

Package: python-cheetah
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 python-cheetah-doc,
 python-markdown (>= 2.0.1),
 python-memcache,
 python-pygments
Description: text-based template engine and Python code generator (Python 2)
 Cheetah can be used as a standalone templating utility or referenced as a
 library from other Python applications. It has many potential uses, but web
 developers looking for a viable alternative to ASP, JSP, PHP and PSP are
 expected to be its principle user group.
 .
 Features:
  * Generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
    text-based format.
  * Cleanly separates content, graphic design, and program code.
  * Blends the power and flexibility of Python with a simple template language
    that non-programmers can understand.
  * Gives template writers full access to any Python data structure, module,
    function, object, or method in their templates.
  * Makes code reuse easy by providing an object-orientated interface to
    templates that is accessible from Python code or other Cheetah templates.
    One template can subclass another and selectively reimplement sections of
    it.
  * Provides a simple, yet powerful, caching mechanism that can dramatically
    improve the performance of a dynamic website.
  * Compiles templates into optimized, yet readable, Python code.
 .
 This package contains the Python 2 module.

Package: python3-cheetah
Architecture: any
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 python-cheetah-doc,
 python3-markdown (>= 2.0.1),
 python3-memcache,
 python3-pygments
Description: text-based template engine and Python code generator (Python 3)
 Cheetah can be used as a standalone templating utility or referenced as a
 library from other Python applications. It has many potential uses, but web
 developers looking for a viable alternative to ASP, JSP, PHP and PSP are
 expected to be its principle user group.
 .
 Features:
  * Generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
    text-based format.
  * Cleanly separates content, graphic design, and program code.
  * Blends the power and flexibility of Python with a simple template language
    that non-programmers can understand.
  * Gives template writers full access to any Python data structure, module,
    function, object, or method in their templates.
  * Makes code reuse easy by providing an object-orientated interface to
    templates that is accessible from Python code or other Cheetah templates.
    One template can subclass another and selectively reimplement sections of
    it.
  * Provides a simple, yet powerful, caching mechanism that can dramatically
    improve the performance of a dynamic website.
  * Compiles templates into optimized, yet readable, Python code.
 .
 This package contains the Python 3 module.

Package: python-cheetah-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: documentation for the Cheetah template engine
 Cheetah can be used as a standalone templating utility or referenced as a
 library from other Python applications. It has many potential uses, but web
 developers looking for a viable alternative to ASP, JSP, PHP and PSP are
 expected to be its principle user group.
 .
 This package contains documentation for the Cheetah template engine.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=cheetah

%:
	dh $@ --with python2,python3,sphinxdoc --buildsys=pybuild


override_dh_auto_install:
	dh_auto_install
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=$(CURDIR) $(MAKE) -i -C docs html
endif

override_dh_auto_clean:
	dh_auto_clean
	PYTHONPATH=$(CURDIR) $(MAKE) -i -C docs clean

override_dh_install:
	dh_install
	# rename utils in python3-cheetah to prevent filename collisions
	mv debian/python3-cheetah/usr/bin/cheetah debian/python3-cheetah/usr/bin/cheetah3
	mv debian/python3-cheetah/usr/bin/cheetah-analyze debian/python3-cheetah/usr/bin/cheetah-analyze3
	mv debian/python3-cheetah/usr/bin/cheetah-compile debian/python3-cheetah/usr/bin/cheetah-compile3

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PATH=$(CURDIR)/bin:$$PATH python{version} {build_dir}/Cheetah/Tests/Test.py" dh_auto_test

=== debian/tests/control ===
# load the module, v2
Tests: load-module-v2
Depends: python-all, python-cheetah

# load the module, v3
Tests: load-module-v3
Depends: python3-all, python3-cheetah

# run upstream Test.py, v2
Tests: upstream-test-v2
Depends: python-all, python-cheetah, python-markdown, python-pygments
Restrictions: allow-stderr

# run upstream Test.py, v3; needs root to symlink the utils
Tests: upstream-test-v3
Depends: python3-all, python3-cheetah, python3-markdown, python3-pygments
Restrictions: allow-stderr, needs-root

## cheetah 3.2.4

=== debian/changelog ===
cheetah (3.2.4-2) unstable; urgency=medium

  * Drop python2 support; Closes: #936293

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Apr 2020 19:24:19 -0400

cheetah (3.2.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Control:
    + bump Standards-Version to 4.4.0 (from 4.1.4; no further changes).
    + bump debhelper-compat level to 12 (from 11; no further changes).
    + remove obsolete versioning of the python(3)-markdown dependencies.
  * Copyright: update years for upstream and packaging.
  * Rules: fix testrun during build by copying ImportHooksTemplates dir.
  * d/tests: add needs-root for upstream Test.py, v2.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 28 Sep 2019 13:28:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,56 +4,17 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
- python-all-dev,
- python-markdown,
- python-pygments,
- python-setuptools,
  python3-all-dev,
  python3-markdown,
  python3-pygments,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: http://www.cheetahtemplate.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/cheetah.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/cheetah
-
-Package: python-cheetah
-Architecture: any
-Depends:
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Suggests:
- python-cheetah-doc,
- python-markdown (>= 2.0.1),
- python-memcache,
- python-pygments
-Description: text-based template engine and Python code generator (Python 2)
- Cheetah can be used as a standalone templating utility or referenced as a
- library from other Python applications. It has many potential uses, but web
- developers looking for a viable alternative to ASP, JSP, PHP and PSP are
- expected to be its principle user group.
- .
- Features:
-  * Generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
-    text-based format.
-  * Cleanly separates content, graphic design, and program code.
-  * Blends the power and flexibility of Python with a simple template language
-    that non-programmers can understand.
-  * Gives template writers full access to any Python data structure, module,
-    function, object, or method in their templates.
-  * Makes code reuse easy by providing an object-orientated interface to
-    templates that is accessible from Python code or other Cheetah templates.
-    One template can subclass another and selectively reimplement sections of
-    it.
-  * Provides a simple, yet powerful, caching mechanism that can dramatically
-    improve the performance of a dynamic website.
-  * Compiles templates into optimized, yet readable, Python code.
- .
- This package contains the Python 2 module.
 
 Package: python3-cheetah
 Architecture: any
@@ -63,7 +24,7 @@
  ${misc:Depends}
 Suggests:
  python-cheetah-doc,
- python3-markdown (>= 2.0.1),
+ python3-markdown,
  python3-memcache,
  python3-pygments
 Description: text-based template engine and Python code generator (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=cheetah
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsys=pybuild
+	dh $@ --with python3,sphinxdoc --buildsys=pybuild
 
 
 override_dh_auto_install:
@@ -27,4 +27,4 @@
 	mv debian/python3-cheetah/usr/bin/cheetah-compile debian/python3-cheetah/usr/bin/cheetah-compile3
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PATH=$(CURDIR)/bin:$$PATH python{version} {build_dir}/Cheetah/Tests/Test.py" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cp -va Cheetah/Tests/ImportHooksTemplates {build_dir}/Cheetah/Tests/; PATH=$(CURDIR)/bin:$$PATH python{version} {build_dir}/Cheetah/Tests/Test.py" dh_auto_test

## cheetah 3.2.5

=== debian/changelog ===
cheetah (3.2.5-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:52:08 +0200

cheetah (3.2.5-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/python-cheetah-doc.doc-base
    - fix doc-base-file-references-missing-file lintian error

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0 (from 4.4.1; no further changes).

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 27 Jul 2020 07:56:33 -0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-pygments,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.cheetahtemplate.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/cheetah.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/cheetah

## cheetah 3.2.6

=== debian/changelog ===
cheetah (3.2.6-1) unstable; urgency=medium

  [ JCF Ploemen (jcfp) ]
  * New upstream release.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 08 Oct 2020 06:54:00 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  python3-sphinx
 Standards-Version: 4.5.0
 Homepage: http://www.cheetahtemplate.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/cheetah.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/cheetah
+Vcs-Git: https://salsa.debian.org/python-team/packages/cheetah.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cheetah
 
 Package: python3-cheetah
 Architecture: any

=== debian/watch ===
# match only final releases, ignore alpha/beta/rc
version=4
# gitmode=full to work around #896705, #907775, #910709, ...
opts=mode=git,gitmode=full,pgpmode=gittag \
 https://github.com/CheetahTemplate3/cheetah3 refs/tags/v?(\d[\d\.]*) debian

## cheetah 3.3.0

=== debian/changelog ===
cheetah (3.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Jeroen Ploemen ]
  * New upstream version 3.3.0
  * Patches: remove python3.10.patch, no longer needed.
  * Patches: refresh and expand python3-tests.patch.
  * Copyright: bump years for upstream and packaging.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 17 Oct 2022 19:40:34 +0000

cheetah (3.2.6-3) unstable; urgency=medium

  * Patches: add 'python3.10', cherry-picked upstream commit to skip
    test_import_bootlocale() on Python 3.10; by Graham Inggs, thanks.
    (Closes: #999856)
  * Copyright: bump packaging year.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 18 Nov 2021 09:02:44 +0000

cheetah (3.2.6-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address.

  [ Helmut Grohne ]
  * Rules:
    + convert dh --with to B-D: dh-sequence.
    + replace nodoc option/profile with indep condition.
  * Control:
    + move sphinx dependencies to B-D-I.
    + annotate python3-markdown dependency <!nocheck>.
  (Closes: #983112)

  [ Jeroen Ploemen ]
  * Control:
    + mark python-pygments build-dep <!nocheck>.
    + set maintainer to my debian.org email address.
    + set Rules-Requires-Root: no.
    + bump Standards-Version to 4.6.0 (from 4.5.0; no further changes).
    + bump compat level to 13 (from 12; no further changes).
  * Upstream metadata: add repository info.
  * Rules:
    + prevent installation of MondoReportDoc.txt in main pkg.
    + make output of custom commands verbose.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 20 Aug 2021 10:11:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: cheetah
 Section: python
 Priority: optional
-Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Jeroen Ploemen <jcfp@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all-dev,
- python3-markdown,
- python3-pygments,
+ python3-markdown <!nocheck>,
+ python3-pygments <!nocheck>,
  python3-setuptools,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-sphinx
-Standards-Version: 4.5.0
-Homepage: http://www.cheetahtemplate.org/
+Standards-Version: 4.6.1
+Homepage: https://www.cheetahtemplate.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cheetah.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cheetah
+Rules-Requires-Root: no
 
 Package: python3-cheetah
 Architecture: any

## cheetah 3.3.1

=== debian/changelog ===
cheetah (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * Bump Standards-Version to 4.6.2 (from 4.6.1; no further changes).
  * Copyright: bump years.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 16 Feb 2023 08:52:52 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.cheetahtemplate.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cheetah.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cheetah

## cheetah 3.3.2

=== debian/changelog ===
cheetah (3.3.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 16:59:59 +0000

cheetah (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 11 Aug 2023 07:23:22 +0000

## cheetah 3.3.3

=== debian/changelog ===
cheetah (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 08 Dec 2023 11:04:07 +0000

=== debian/watch ===
# match only final releases, ignore alpha/beta/rc
version=4
# gitmode=full to work around #896705, #907775, #910709, ...
opts=mode=git,gitmode=full,pgpmode=gittag \
 https://github.com/CheetahTemplate3/cheetah3 refs/tags/v?(\d[\d.]*)

## cheetah 3.3.3.post1+git202411101249.168ac48

=== debian/changelog ===
cheetah (3.3.3.post1+git202411101249.168ac48-1) unstable; urgency=medium

  * New upstream version 3.3.3.post1+git202411101249.168ac48:
    + git snapshot to add Python 3.13 support. (Closes: #1081423)
  * Control: remove team from uploaders.
  * Control: point VCS links to private namespace.
  * Watch: also find .postN releases.
  * Watch: temporarily point to the git HEAD, until Python 3.13 is
    supported by a tagged upstream release.
  * Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 13 Nov 2024 11:25:33 +0000

=== debian/watch ===
# match only final releases, ignore alpha/beta/rc but include .postN
version=4
# gitmode=full to work around #896705, #907775, #910709, ...
#opts=mode=git,gitmode=full,pgpmode=gittag \
# https://github.com/CheetahTemplate3/cheetah3 refs/tags/v?(\d[\d.]*(?:.post\d+)?)

# temporarily point to the git HEAD, needed to support Python 3.13
opts=mode=git,gitmode=full,pgpmode=none,pretty=3.3.3.post1+git%cd.%h,date=%Y%m%d%H%M \
 https://github.com/CheetahTemplate3/cheetah3.git HEAD

## cheetah 3.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Cheetah Template Engine.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Cheetah Template Engine.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
cheetah (3.4.0-1) unstable; urgency=medium

  * Watch: revert back to tracking tagged releases.
  * New upstream version 3.4.0.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 03 Dec 2024 12:00:33 +0000

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=cheetah

%:
	dh $@ --buildsystem=pybuild


execute_after_dh_auto_install-indep:
	PYTHONPATH=$(CURDIR) $(MAKE) -i -C docs html

execute_after_dh_auto_clean:
	PYTHONPATH=$(CURDIR) $(MAKE) -i -C docs clean

execute_after_dh_install:
	# rename utils in python3-cheetah to prevent filename collisions
	mv -v debian/python3-cheetah/usr/bin/cheetah debian/python3-cheetah/usr/bin/cheetah3
	mv -v debian/python3-cheetah/usr/bin/cheetah-analyze debian/python3-cheetah/usr/bin/cheetah-analyze3
	mv -v debian/python3-cheetah/usr/bin/cheetah-compile debian/python3-cheetah/usr/bin/cheetah-compile3
	# exclude documentation file from main pkg; already present in -doc pkg (in html form)
	find ./debian -name MondoReportDoc.txt -print -delete

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS=" \
		cp -va Cheetah/Tests/ImportHooksTemplates {build_dir}/Cheetah/Tests/; \
		PATH=$(CURDIR)/bin:$$PATH python{version} {build_dir}/Cheetah/Tests/Test.py" \
		dh_auto_test

=== debian/watch ===
# match only final releases, ignore alpha/beta/rc but include .postN
version=4
# gitmode=full to work around #896705, #907775, #910709, ...
opts=mode=git,gitmode=full,pgpmode=gittag \
 https://github.com/CheetahTemplate3/cheetah3 refs/tags/v?(\d[\d.]*(?:.post\d+)?)

# temporarily point to the git HEAD, needed to support Python 3.13
#opts=mode=git,gitmode=full,pgpmode=none,pretty=3.3.3.post1+git%cd.%h,date=%Y%m%d%H%M \
# https://github.com/CheetahTemplate3/cheetah3.git HEAD
